#include <stdio.h>
#include <string.h>

void strCopy(char str1[], char str2[]) {
    int j = 0;
    int i;
    for (i = 0; i < strlen(str1); i++) {
        if (i % 2 == 0) {
            str2[j] = str1[i];
            j++;
        }
    }
    str2[j] = '\0';
}

int main() {
    char str1[100], str2[100];
    fgets(str1, 100, stdin);

    strCopy(str1, str2);

    printf("%s\n", str2);

    return 0;
}
